tld_get_table(3)

NAME
tld_get_table - API function

SYNOPSIS
#include <tld.h>

const Tld_table * tld_get_table(const char * tld, const Tld_table ** tables);

ARGUMENTS

const char * tld
    TLD name (e.g. "com") as zero terminated ASCII byte string.

const Tld_table ** tables
    Zero terminated array of Tld_table info-structures for TLDs.

DESCRIPTION
Get the TLD table for a named TLD by searching through the given TLD table array.

RETURN VALUE
Return structure corresponding to TLD tld by going thru tables, or return NULL if no such structure is found.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.